from fsbc import settings
from fsgs.drivers.mednafensmddriver import MednafenSmdDriver
from fsgs.drivers.mess.messsmddriver import MessSmdDriver
from fsgs.option import Option
from fsgs.platform import PlatformHandler
from fsgs.platforms.loader import SimpleLoader


class MegaDrivePlatformHandler(PlatformHandler):
    PLATFORM_NAME = "Mega Drive"

    def __init__(self):
        PlatformHandler.__init__(self)

    def get_loader(self, fsgs):
        return MegaDriveLoader(fsgs)

    def get_runner(self, fsgs):
        if settings.get(Option.SMD_DRIVER) == "mess":
            return MessSmdDriver(fsgs)
        else:
            return MednafenSmdDriver(fsgs)


class MegaDriveLoader(SimpleLoader):
    pass
